Skip to main content
PATCH
/
salesOrders
/
{salesOrderId}
/
lineitems
/
{salesOrderLineItemId}
Update Sales Order Line Item
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems/{salesOrderLineItemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "ItemId": 123,
  "Name": "Awesome Binoculars",
  "SKU": "ART2394871",
  "Quantity": 2,
  "SalesUnit": "stk",
  "SalesPriceNet": 16.8,
  "SalesPriceGross": 19.99,
  "Discount": 5,
  "PurchasePriceNet": 13.46,
  "TaxRate": 19,
  "Notice": "Without sugar"
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
integer<int32>
required
salesOrderLineItemId
integer<int32>
required

Body

application/json

The item to update.

Model Class: UpdateSalesOrderLineItem

ItemId
integer<int32>
Name
string
Example:

"Awesome Binoculars"

SKU
string
Example:

"ART2394871"

Quantity
number<decimal>
Example:

2

SalesUnit
string
Example:

"stk"

SalesPriceNet
number<decimal>
Example:

16.8

SalesPriceGross
number<decimal>
Example:

19.99

Discount
number<decimal>
Example:

5

PurchasePriceNet
number<decimal>
Example:

13.46

TaxRate
number<decimal>
Example:

19

Notice
string
Example:

"Without sugar"

Response